<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', '_s' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<link href='http://fonts.googleapis.com/css?family=Open+Sans:800,400,600,700' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Bitter:400,700' rel='stylesheet' type='text/css'>

<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="wrapper">

	<div id="header" class="clearfix">
	
		<div class="top clearfix">
			<div class="container_6">
				<div class="logo grid_2">
					<h1><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				</div>	
			
				<div id="botmenu" class="grid_4">
					<?php wp_nav_menu( array( 'container_id' => 'submenu', 'theme_location' => 'primary','menu_id'=>'web2feel' ,'menu_class'=>'sfmenu','fallback_cb'=> 'fallbackmenu' ) ); ?>
				</div>
			</div>	
		</div>
		<?php if ( is_home() ) { ?>
		<div class="sub-head container_6 clearfix">
			<div class="phone">
				<div class="screen"> 
				<?php $img = of_get_option('w2f_appscreen');
				$screen_shot = aq_resize( $img, 218, 328, true ); ?>
				<?php if($screen_shot) : ?>	<img src="<?php echo $screen_shot ?>"/>	<?php endif; ?>
				 </div>
			</div>
		
			<div class="appinfo">
				<h2> <?php echo of_get_option('w2f_apphead'); ?></h2>
								<p> <?php echo of_get_option('w2f_appinfo'); ?></p>
				<a class="app-button" href="<?php echo of_get_option('w2f_appstore'); ?>"> </a>
			</div>
		</div>
		<?php } ?>
	</div> <!-- end header -->
	
	<div id="main">
	<div class="container_6">